import Maybe from '@versita/fp-lib/maybe';
import { Config, Listener } from '../types/shared';
declare class AWSRecognizer extends EventTarget {
    config: Config;
    stream: Maybe<MediaStream>;
    listening: boolean;
    static get isSupported(): boolean;
    static get type(): string;
    constructor(config: Config);
    start(): void;
    abort(): void;
    stop(): void;
    private emitResult;
    private emitError;
    private emitSoundStart;
    private emitSoundEnd;
    private transcribe;
    private handleStop;
    onaudiostart(listener: Listener): void;
    onaudioend(listener: Listener): void;
    onend(listener: Listener): void;
    onerror(listener: Listener): void;
    onnomatch(listener: Listener): void;
    onresult(listener: Listener): void;
    onsoundstart(listener: Listener): void;
    onsoundend(listener: Listener): void;
    onspeechstart(listener: Listener): void;
    onspeechend(listener: Listener): void;
    onstart(listener: Listener): void;
}
export default AWSRecognizer;
